### Method

# FwupdPlugin Device get_update_image

since: 2.0.0

#### Declaration [src]

    const gchar*
    fu_device_get_update_image (
      FuDevice* self
    )

#### Description [src]

Gets the update image URL.

Available since: 2.0.0

Gets property | `FwupdPlugin.Device:update-image`

#### Return value

Type: `const gchar*`

The update image URL, or `NULL` if unset.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.